org.apache.tamaya.events

## Class ConfigEvent

- java.lang.Object
- - org.apache.tamaya.events.ConfigEvent

-     public final class ConfigEvent
      extends Object

  Singleton accessor for accessing the event support component that distributes change events of `PropertySource` and `Configuration`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> void` | `addListener(ConfigEventListener<T> l)` Add a listener for observing change events on `Configuration`.
    `static void` | `fireEvent(Object event)` Publishes sn event to all interested listeners.
    `static <T> void` | `fireEvent(T event, Class<T> eventType)` Publishes a `ConfigurationChange` to all interested listeners.
    `static <T> void` | `removeListener(ConfigEventListener<T> l)` Add a listener for observing change events on `PropertySource`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addListener

          public static <T> void addListener(ConfigEventListener<T> l)

      Add a listener for observing change events on `Configuration`. References of this component to the listeners must be managed as weak references.
      Parameters:
        `l` - the listener not null.

    - #### removeListener

          public static <T> void removeListener(ConfigEventListener<T> l)

      Add a listener for observing change events on `PropertySource`. References of this component to the listeners must be managed as weak references.
      Parameters:
        `l` - the listener not null.

    - #### fireEvent

          public static void fireEvent(Object event)

      Publishes sn event to all interested listeners.
      Parameters:
        `event` - the event, not null.

    - #### fireEvent

          public static <T> void fireEvent(T event,
                                           Class<T> eventType)

      Publishes a `ConfigurationChange` to all interested listeners.
      Parameters:
        `event` - the event, not null.
        `eventType` - the event type, the vent may be a subclass.

Copyright © 2014–2015 Apache Software Foundation. All rights reserved.